TreeOutcomesProperties (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.client.prop
Interface TreeOutcomesProperties

All Superinterfaces:
  com.sencha.gxt.data.shared.PropertyAccess<TreeOutcomes>

    public interface TreeOutcomesProperties

extends com.sencha.gxt.data.shared.PropertyAccess<TreeOutcomes>

Method Summary
`com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `destID()`
`com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `exception()`
`com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `failure()`
`com.sencha.gxt.data.shared.ModelKeyProvider<TreeOutcomes>` | `key()`
`com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `readTrees()`
`com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `sourceID()`
`com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `success()`
`com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `totalMessage()`
`com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String>` | `writtenTrees()`

Method Detail

### key

    @Editor.Path(value="id")
    com.sencha.gxt.data.shared.ModelKeyProvider<TreeOutcomes> key()

### sourceID

    com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> sourceID()

### destID

    com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> destID()

### readTrees

    com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> readTrees()

### writtenTrees

    com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> writtenTrees()

### exception

    com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> exception()

### success

    com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> success()

### failure

    com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> failure()

### totalMessage

    com.sencha.gxt.core.client.ValueProvider<TreeOutcomes,String> totalMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.